[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [wtp-dev] WTP feature/plugin versioning

On Fri, 10 Jun 2005 21:44:10 +0200, Jeffrey Liu <jeffliu@xxxxxxxxxx> wrote:

Hi Max,

Probably, but I take one battle at the time here ,) Making WTP do it can
make it spread to others.

Personally, I think this milestone versioning issue will resolve much more
quickly if a solution comes out from base Eclipse instead of WTP. In which
case, projects just have to adapt to this new support. Also, why invent a
solution now if Eclipse is already looking at this issue.

well for one, eclipse platform is very resistant at the moment since they are finalizing
3.1 and I want some of this happening BEFORE 3.2 development starts ,)


But now we have the bugs also against eclipse platform - lets see what happens ,)

-max


Which unsupported tool ?

I'll send you the tool in a separate email.

Thanks,

Jeffrey Liu
IBM Rational Software - Performance Analyst
IBM Toronto Lab.
8200 Warden Ave. Markham, Ontario, L6G 1C7
Internal mail: D3/R8V/8200/MKM (D3-268)
T/L: 969 3531
Tel: (905) 413 3531
Fax: (905) 413 4920
jeffliu@xxxxxxxxxx




"Max Rydahl Andersen" <max.andersen@xxxxxxxxx> Sent by: wtp-dev-bounces@xxxxxxxxxxx 06/10/2005 02:03 PM Please respond to "General discussion of project-wide or architectural issues."


To "General discussion of project-wide or architectural issues." <wtp-dev@xxxxxxxxxxx> cc

Subject
Re: [wtp-dev] WTP feature/plugin versioning







Let's say we did increment the version number between milestone builds,
wouldn't you run into the same problem with prereqs?

Probably, but I take one battle at the time here ,) Making WTP do it can make it spread to others.

And right now I have some prereq besides WTP (e.g. GEF and Draw2D) and
they seem
much more stable, so not the biggest problem (but a problem nevertheless)

An alternative way to tackle this problem is to insert the 4th digit
version number when you build your update site. Eclipse has a
(unsupported) tool that helps you do this. If you want to take a look at
this tool, let me know, I'll send it to you. But then again, we still
have
to deal with the prereqs, which have not updated their versions.

Which unsupported tool ?

-max

Thanks,

Jeffrey Liu
IBM Rational Software - Performance Analyst
IBM Toronto Lab.
8200 Warden Ave. Markham, Ontario, L6G 1C7
Internal mail: D3/R8V/8200/MKM (D3-268)
T/L: 969 3531
Tel: (905) 413 3531
Fax: (905) 413 4920
jeffliu@xxxxxxxxxx




"Max Rydahl Andersen" <max.andersen@xxxxxxxxx> Sent by: wtp-dev-bounces@xxxxxxxxxxx 06/10/2005 08:27 AM Please respond to "General discussion of project-wide or architectural issues."


To "General discussion of project-wide or architectural issues." <wtp-dev@xxxxxxxxxxx> cc

Subject
Re: [wtp-dev] WTP feature/plugin versioning







It is also not just an update site issue, it is also a major
pain to identify library conflicts if users upgrade/install
via a normal download.

And its also a major issue to sync up projects that uses WTP plugins -
no way to see what version they are using by manual inspection, trial
and
error...

If the minor version number were incremented (which in my view make
sense
since something really has changed and been released) then these
integration
issues will be alot less painfull - and WTP would get adapted quicker.

-max

It seems that version numbers aren't being updated for major
milestones,

and this is causing a major problem for our update site (where we have
multiple plugins dependant on multiple milestones of webtools).

Is there any hope of getting correct version numbering for upcoming
milestone builds?

We've opened a bug here:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=99338



_______________________________________________
wtp-dev mailing list
wtp-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/wtp-dev



_______________________________________________
wtp-dev mailing list
wtp-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/wtp-dev